IF NOT EXISTS(
    SELECT *
    FROM sys.columns 
    WHERE Name = N'IsModernSiteOwners'  AND Object_ID = Object_ID(N'[BA_Role]'))
BEGIN
	ALTER TABLE [BA_Role] ADD [IsModernSiteOwners] bit NOT NULL DEFAULT(0);
END;

IF NOT EXISTS(
    SELECT *
    FROM sys.columns 
    WHERE Name = N'IsModernSiteMembers'  AND Object_ID = Object_ID(N'[BA_Role]'))
BEGIN
	ALTER TABLE [BA_Role] ADD [IsModernSiteMembers] bit NOT NULL DEFAULT(0)
END;

IF NOT EXISTS(
    SELECT *
    FROM sys.columns 
    WHERE Name = N'IsModernSiteGuests'  AND Object_ID = Object_ID(N'[BA_Role]'))
BEGIN
	ALTER TABLE [BA_Role] ADD [IsModernSiteGuests] bit NOT NULL DEFAULT(0);
END;